ERROR_CODE_DICT = {
    0: "Ok",

    1001: "InvalidTimeInfo",
    1002: "EmptyConfigParameter",
    1003: "MismatchVersion",
    1004: "InvalidTimezone",
    1005: "InvalidByteSize",
    1006: "InvalidIPAddr",
    1007: "InvalidLogLevel",

    2001: "WrongPasswd",
    2002: "InsufficientPrivilege",

    3001: "InvalidUsername",
    3002: "InvalidPasswd",
    3003: "InvalidDbName",
    3004: "InvalidTableName",
    3005: "InvalidColumnName",
    3006: "InvalidIndexName",
    3007: "InvalidColumnDefinition",
    3008: "InvalidTableDefinition",
    3009: "InvalidIndexDefinition",
    3010: "InvalidDataTypeMismatch",
    3011: "NameTooLong",
    3012: "ReservedName",
    3013: "SyntaxError",
    3014: "InvalidParameterValue",
    3015: "DuplicateUser",
    3016: "DuplicateDatabaseName",
    3017: "DuplicateTableName",
    3018: "DuplicateIndexName",
    3019: "DuplicateIndexOnColumn",
    3020: "NoSuchUser",
    3021: "DBNotExist",
    3022: "TableNotExist",
    3023: "IndexNotExist",
    3024: "ColumnNotExist",
    3025: "AggNotAllowInWhereClause",
    3026: "ColumnInSelectNotInGroupBy",
    3027: "NoSuchSystemVar",
    3028: "InvalidSystemVarValue",
    3029: "SystemVarReadOnly",
    3030: "FunctionNotFound",
    3031: "SpecialFunctionNotFound",
    3032: "NotSupported",
    3033: "DroppingUsingDb",
    3034: "SessionNotFound",
    3035: "RecursiveAgg",
    3036: "FunctionArgsError",
    3037: "ImportFileFormatError",
    3038: "DataNotExist",
    3039: "ColumnCountMismatch",
    3040: "EmptyDbName",
    3041: "EmptyTableName",
    3042: "EmptyColumnName",
    3043: "EmptyIndexName",
    3044: "ExceedDBNameLength",
    3045: "ExceedTableNameLength",
    3046: "ExceedColumnNameLength",
    3047: "ExceedIndexNameLength",
    3048: "NoColumnDefined",
    3049: "NotSupportedTypeConversion",

    4001: "TxnRollback",
    4002: "TxnConflict",

    5001: "DiskFull",
    5002: "OutOfMemory",
    5003: "TooManyConnections",
    5004: "ConfigurationLimitExceed",
    5005: "QueryIsTooComplex",

    6001: "QueryCancelled",
    6002: "QueryNotSupported",
    6003: "ClientClose",

    7001: "DiskIOError",
    7002: "DuplicatedFile",
    7003: "ConfigFileError",
    7004: "LockFileExists",
    7005: "CatalogCorrupted",
    7006: "DataCorrupted",
    7007: "IndexCorrupted",
    7008: "FileNotFound",
    7009: "DirNotFound",
    7010: "DataIOError",
    7011: "UnexpectedError",
    7012: "ConnectFailed",
    7013: "DisconnectFailed",

    8001: "InvalidEntry",
    8002: "NotFoundEntry",
    8003: "EmptyEntryList",
}

def error_code_to_str(error_code: int) -> str:
    if ERROR_CODE_DICT.keys().__contains__(error_code):
        return ERROR_CODE_DICT[error_code]
    else:
        return "UnknownError"
